# AQUA-to-ARTEMiS

Imports AQUAs db.sqlite database into ARTEMiS database, currently WIP

## Requirements

Already have [ARTEMiS](https://gitea.tendokyu.moe/Hay1tsme/artemis) installed and created the database with

```sh
python dbutils.py create
```

**The `aqua_importer.py` script will read the settings from your specified ARTEMiS `config/` folder!**

## Instructions

Place `aqua_importer.py` in your ARTEMiS directory and execute it:

```sh
python aqua_importer.py "C:\path\to\aqua\data"
```

**CAN OVERWRITE ALREADY EXISTING GAMES DATA! BE WARNED!!**

## How to use
```
usage: aqua_importer.py [-h] [--config CONFIG] aqua_folder_path

AQUA to ARTEMiS

positional arguments:
  aqua_folder_path      Absolute folder path to AQUA /data folder, where db.sqlite is located in

options:
  -h, --help            show this help message and exit
  --config CONFIG, -c CONFIG
                        Config directory to use
```

## TODO

- [x] CHUNITHM SUN
- [x] O.N.G.E.K.I. Bright Memory
- [ ] maimai DX UNiVERSE/FESTiVAL
- [ ] Change the game version to import using arguments
- [ ] Code clean up/optimizations